Identifying an holed polygon selects the whole area
Status: Closed

Priority: Low

Assignee: nobody -

Category: GUI

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate

Crashes QGIS or corrupts data: Copied to github as #: 12250

Description

When you identify a polygon with an hole, the selected area includes the hole.

Well it's just a detail but sometimes, you want to use the hole to see what is under the layer, under what you have identified.

History

#1 - 2011-01-20 02:11 AM - Ivan Mincik

Is there any special reason to not to use some similar behavior like it is done by 'Select' tool ?

Example:

1. Draw multi-polygon feature containing few holes.

2. Click on polygon using 'Identify' tool. Whole polygon including holes

is highlighted.

3. Click on polygon using 'Select' tool. Exact polygon shape is

highlighted (without holes)

I think, current behavior is quite confusing, when You have big

polygons, containing holes where another polygons exists.

#2 - 2011-03-02 02:38 AM - damouns -

It is related to ticket #926 which was closed (although I feel it wasn't fixed). This behaviour is confusing because it is not possible to know if the polygon

has a hole or not (and it is not consistent with the select tool).

#3 - 2011-03-02 06:20 PM - Jürgen Fischer

- Resolution set to duplicate

- Status changed from Open to Closed

duplicate of #926
